### Function

# GLib ClearHandleFunc

since: 2.56

#### Declaration

    void
    (* GClearHandleFunc) (
      guint handle_id
    )

#### Description

Specifies the type of function passed to g_clear_handle_id(). The implementation is expected to free the resource identified by `handle_id`; for instance, if `handle_id` is a `GSource` ID, `g_source_remove()` can be used.

Available since: 2.56

#### Parameters

`handle_id`

  Type: `guint`

  The handle ID to clear.